package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.StaffRoleMapper;
import com.lz.modules.flow.entity.StaffRole;
import com.lz.modules.flow.service.StaffRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/

@Service
public class StaffRoleServiceImpl extends ServiceImpl<StaffRoleMapper, StaffRole> implements StaffRoleService {


    @Autowired
	private StaffRoleMapper staffRoleMapper;



	@Override
	public StaffRole selectStaffRoleById(Long id){
		return staffRoleMapper.selectStaffRoleById(id);
	}



	@Override
	public Long insertStaffRole(StaffRole staffRole){
		return staffRoleMapper.insertStaffRole(staffRole);
	}



	@Override
	public int updateStaffRoleById(StaffRole staffRole){
		return staffRoleMapper.updateStaffRoleById(staffRole);
	}



	@Override
	public int updateCoverStaffRoleById(StaffRole staffRole){
		return staffRoleMapper.updateCoverStaffRoleById(staffRole);
	}



	@Override
	public int deleteStaffRoleById(Long id){
		return staffRoleMapper.deleteStaffRoleById(id);
	}

    @Override
    public StaffRole selectByStaffId(Long staffId) {
        return staffRoleMapper.selectByStaffId(staffId);
    }


}
